/* reset CSS defaults */
html, body {
    margin: 0;
    padding: 0;
}

/* Basic styling starts from here */

body {
    font-family: 'Alumni Sans Pinstripe', sans-serif;
    font-size: 1.5rem;
    font-weight: 500;
}

a {
    text-decoration-color: none;
    text-decoration-line: none;
    color: inherit;
}

ul {
    list-style: none;
}

h1 {
    padding: 0 1rem;
}

/* Basic section outer styling */

.outer_sec {
    width: 100%;
    height: auto;
}

/* 7:3 flexbox styling */

.flexbox_1 {
    display: flex;
    padding: 0;
    margin: 0;
}

.left_1 {
    width: 70%;
    margin-top: 0;
}

.right_1 {
    width: 30%;
    margin-right: 1rem;
}

.right_1 img {
    max-width: 100%;
    height: auto;
    margin-top: 3%;
}

/* 5:5 styling flexbox */

.flexbox_2 {
    display: flex;
    padding: 0;
    margin: 0;
}

.left_2 {
    width: 50%;
    margin-top: 0;
}

.right_2 {
    width: 50%;
    margin-top: 1%;

}

/* Homepage header styling starts from here */

.outer_h {
    width: 100%;
    height: 10vh;
    margin: auto 0;
    background-color: #E8E8E8;

}

.flexbox_n{
    display: flex;
    justify-content: space-between;
    padding: .5rem 1rem;
}

/* Navigation */

.outer_h .flexbox_n ul {
  display: flex;
  justify-content: space-between;
  align-items: center; 
  margin: .5rem 0;
  gap: 20px;     
  font-family: 'Bebas Neue';
  font-size: 1.5rem;
  font-weight: 300;
}

ul li a:hover {
    color: white;
    transition: background-color 0.3s;
}

ul li img:hover {
    opacity: 0.5;
}

/* Hero section */

.hero {
   display: flex; 
   width: 100%;
   height: auto;
   margin-top: 0%;

/* Hero background image */
   background-image: url('../images/hero.png');
   background-size: cover;
   background-position: center;
   aspect-ratio: 16 / 9; 

   justify-content: space-around;
   align-items: center;
}

/* Keyphrases, h2 and h3 in the hero section */

.outer_h2 {
    margin-top: -35%;
    margin-left: 3%;
}

h2 {
    font-size: 3vw;
}

.btn_lea {
    margin-top: 160%;
    margin-left: -48%;
}

.btn_lea img {
    width: clamp(40px, 12vw, 144px); 
    height: auto;
}

.outer_h3 {
    margin-top: 45%;
    margin-left: -18%;
}

h3 {
    font-size: 2.5vw;
}

/* Projects Section will start from here */

#projects {
    margin-top: 0;
}

.projects_cards {
    width: 100%;
    height: 100vh;
}

.projects_cards p {
    padding: .5rem 1rem;
}

.row {
    display: flex;
    width: 100%;
    height: 35%;
    margin: 1rem 0;
}

/* base styling for all boxes */
.box {
    background: grey;
    width: 100%;
    height: 100%;
    margin: .5rem;
    border-radius: .5rem;

    /* apply background image sizing */
    background-size: cover;
    background-position: center;

    /* apply flexbox realign the text */
    display: flex;
    justify-content: center;
    align-items: flex-end;
    color: white;
    font-size: 2rem;
    font-weight: 500;
}

/* projects carads images */

#box-1 {
    background-image: url(../images/photo_93c.png);
}

#box-2 {
    background-image: url(../images/photo_kur.png);
}

#box-3 {
    background-image: url(../images/photo_kot.png);
}

/* projects section buttons styling */

.row_btn_p {
    display: flex;
    width: 100%;
    height: auto;
}

.btn_p {
    background: white;
    width: 100%;
    height: auto;
    margin: .5rem;
    border-radius: .5rem;
}

.btn_p p{
    margin: 0 auto;
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
}

.row_btn_p .btn_p a:hover
{
    color: grey;
    transition: background-color 0.3s;
}

/* Instagram buttons styling */

.btn_ins {
    display: flex;
    width: 320px;
    height: 48px;
    border-radius: 8px;
    background-color: #E8E8E8;
    justify-content: center;   
    align-items: center;
    font-size: 2rem;
    font-weight: bolder;
    margin: 0 auto;
}

.btn_ins:hover {
    display: flex;
    width: 320px;
    height: 48px;
    border-radius: 8px;
    background-color: #B7B7B7;
    justify-content: center;   
    align-items: center;
    font-size: 2rem;
    font-weight: bolder;
    margin: 0 auto;
}

/* mybg section styling */

.mybg_cards {
    width: 100%;
    height: 100vh;
}

.row {
    display: flex;
    width: 100%;
    height: 35%;
    margin: 1rem 0;
}

/* mybg section styling row2 */

.row_b {
    display: flex;
    width: 100%;
    height: 30%;
}

.box_b {
    background: grey;
    width: 100%;
    height: 100%;

    /* apply background image sizing */
    background-size: cover;
    background-position: center;
}

/* mybg carads images */
#box_b-1 {
    background-image: url(../images/mybg01.png);
}

#box_b-2 {
    background-image: url(../images/mybg02.png);
}

#box_b-3 {
    background-image: url(../images/mybg03.png);
}

#box_b-4 {
    background-image: url(../images/mybg04.png);
}

#box_b-5 {
    background-image: url(../images/mybg05.png);
}

#box_b-6 {
    background-image: url(../images/mybg06.png);
}

#box_b-7 {
    background-image: url(../images/mybg07.png);
}

#box_b-8 {
    background-image: url(../images/mybg08.png);
}

/* contact us styling */

#contact {
    margin-top: 0;
}

/* footer styling */

.outer_f {
    width: 100%;
}

footer {
    display: flex;
    max-width: 100%;
    height: 10vh;
    background-color: #E8E8E8;
    justify-content: flex-start;
    gap: 2rem;
    margin-left: -2rem;
    align-items: center;
    padding: .5rem 1rem;
    margin-top: 2rem;
    font-size: 1rem;
}

footer ul {
    display: flex;
    justify-content: space-between;
    font-size: 1rem;
    font-family: 'Roboto Condensed';
 　 font-weight: 200;
    align-items: center;
    padding-right: 0;
    margin-left: -.5rem;
    gap: 3rem;
}

footer img {
    padding-left: -1rem;
}

footer img:hover {
    opacity: 0.5;
}